# is_resource

(PHP 4, PHP 5, PHP 7, PHP 8)

is_resource — Prüft, ob eine Variable vom Typ resource ist

### Beschreibung

is_resource(mixed `$value`): bool

Prüft, ob die gegebene Variable eine resource ist.

### Parameter-Liste

`value`

  Die zu untersuchende Variable.

### Rückgabewerte

Gibt `true` zurück, wenn `value` vom Typ resource ist, andernfalls `false`.

### Beispiele

Beispiel #1 is_resource()-Beispiel

`<?php
$handle = fopen("php://stdout", "w");
if (is_resource($handle)) {
echo '$handle ist eine Ressource';
}
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    $handle ist eine Ressource

### Anmerkungen

> Hinweis:

> is_resource() ist keine strikte Typprüfungsmethode: sie gibt `false` zurück, wenn `value` eine Variable mit einer Ressource ist, die geschlossen wurde.

### Siehe auch

- Die Ressource-Typen Dokumentation
- get_resource_type() - Liefert den Typ einer Ressource

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open